module.exports = {
  env: {
    browser: true,
    es6: true,
    node: true,
    jest: true,
  },
  parser: 'babel-eslint',
  extends: ['eslint:recommended'],
  globals: {
    Atomics: 'readonly',
    SharedArrayBuffer: 'readonly',
  },
  rules: {
    'no-undef': ['warn'],
    eqeqeq: ['warn', 'smart'],
    'no-unused-vars': 'off',
    'no-prototype-builtins': 'off',
    'id-length': ['warn', { exceptions: [] }],
  },
}
